Upsert multiple monitored users via CSV upload
- Base URL
-
https://{kibana_url}
-
POST
/api/entity_analytics/monitoring/users/_csv
-
POST
/s/{space_id}/api/entity_analytics/monitoring/users/_csv
Auth
Deprecated
Deprecated in 9.4.0. Use the Watchlists API instead.
Bulk upserts privileged users by uploading a CSV file. Returns per-row errors and aggregate upload statistics.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
file
string · format: binary
required
-
The CSV file to upload.
-
errors
object[]
required
-
-
index
integer
required
nullable
-
username
string
required
nullable
-
stats
object
required
-
-
failedOperations
integer
required
-
successfulOperations
integer
required
-
totalOperations
integer
required
-
uploaded
integer
required